summaryrefslogtreecommitdiff
path: root/tests/lib
diff options
context:
space:
mode:
Diffstat (limited to 'tests/lib')
-rw-r--r--tests/lib8
1 files changed, 8 insertions, 0 deletions
diff --git a/tests/lib b/tests/lib
index cf8b725..5c8293f 100644
--- a/tests/lib
+++ b/tests/lib
@@ -52,6 +52,14 @@ t-expect-fail () {
egrep "$mpat" $tmp/t.output ||false
}
+t-reporefs () {
+ (set -e
+ if test -d $tmp/git/$p.git; then
+ cd $tmp/git/$p.git
+ git show-ref |sort
+ fi)
+}
+
t-untar () {
local tarfile=$1.tar
local edittree=$1.edit